Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.resolvers
Class DefaultParentResolver

    java.lang.Object
      org.eclipse.swtbot.swt.finder.resolvers.Resolvable
          org.eclipse.swtbot.swt.finder.resolvers.DefaultParentResolver

All Implemented Interfaces:
  IParentResolver, IResolvable

    public class DefaultParentResolver

extends Resolvable
implements IParentResolver

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.resolvers.Resolvable
`resolver`

Constructor Summary
`DefaultParentResolver()`

Method Summary
`Widget` | `getParent(Widget w)`
`boolean` | `hasParent(Widget w)`

Methods inherited from class org.eclipse.swtbot.swt.finder.resolvers.Resolvable
`canResolve, getResolvableClasses, getResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.swtbot.swt.finder.resolvers.IResolvable
`canResolve, getResolvableClasses`

Constructor Detail

### DefaultParentResolver

    public DefaultParentResolver()

Method Detail

### getParent

    public Widget getParent(Widget w)

  Specified by:
    `getParent` in interface `IParentResolver`
  Parameters:
    `w` - the widget
  Returns:
    the children of the specified widget

### hasParent

    public boolean hasParent(Widget w)

  Specified by:
    `hasParent` in interface `IParentResolver`
  Parameters:
    `w` - the widget
  Returns:
    `true` if the resolver can provide children of the specified widget, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD